List Catalogs
curl --request GET \
--url https://api.joinrefine.io/organizations/{orgId}/catalogs \
--header 'REFINE_API_KEY: <api-key>'import requests
url = "https://api.joinrefine.io/organizations/{orgId}/catalogs"
headers = {"REFINE_API_KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {REFINE_API_KEY: '<api-key>'}};
fetch('https://api.joinrefine.io/organizations/{orgId}/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}{
"status": 401,
"message": "Unauthorized",
"time": "2024-06-14T19:21:00Z",
"method": "GET",
"url": "/organizations/a8cd2722-1234-4567-9abc-def123456789/catalogs"
}Catalog Operations
List Catalogs
Get all catalogs for an organization
GET
/
organizations
/
{orgId}
/
catalogs
List Catalogs
Authorizations
API key for authentication
Path Parameters
Organization ID (UUID)
Response
List of catalogs
Catalog ID
Catalog name
Catalog description
Organization ID
Number of products in catalog
Creation timestamp
Catalog processing status
Available options:
EMPTY, PROCESSING, WARNING, ERROR, PROCESSED ⌘I